package models

import (
	"hongze/hongze_task/utils"
	_ "github.com/go-sql-driver/mysql"
	"time"

	"rdluck_tools/orm"
)

func init() {

	_ = orm.RegisterDataBase("default", "mysql", utils.MYSQL_URL)
	orm.SetMaxIdleConns("default", 50)
	orm.SetMaxOpenConns("default", 100)

	db, _ := orm.GetDB("default")
	db.SetConnMaxLifetime(10 * time.Minute)


	_ = orm.RegisterDataBase("rddp", "mysql", utils.MYSQL_URL_RDDP)
	orm.SetMaxIdleConns("rddp", 50)
	orm.SetMaxOpenConns("rddp", 100)

	report_db, _ := orm.GetDB("rddp")
	report_db.SetConnMaxLifetime(10 * time.Minute)


	_ = orm.RegisterDataBase("edb", "mysql", utils.MYSQL_URL_EDB)
	orm.SetMaxIdleConns("edb", 50)
	orm.SetMaxOpenConns("edb", 100)

	edb_db, _ := orm.GetDB("edb")
	edb_db.SetConnMaxLifetime(10 * time.Minute)

	//注册对象
	orm.RegisterModel(
		new(EdbinfoSendMsgRecord),
		new(Company),
		new(CompanyReportPermission),
		new(CompanyReportPermissionLog),
		new(DataSourceLongzhong),
		new(Longzhonginfo),
		new(Longzhongdata),
		new(EdbdataClassify),
		new(Longzhongpriceinfo),
		new(Longzhongpricedata),
		new(CompanyOperationRecord),
		new(CompanyProduct),
	)
}